import request from '@/utils/request'

// 查询提现列表
export function listCompanyProfit(query) {
  return request({
    url: '/company/companyProfit/list',
    method: 'get',
    params: query
  })
}

// 查询提现详细
export function getCompanyProfit(profitId) {
  return request({
    url: '/company/companyProfit/' + profitId,
    method: 'get'
  })
}

// 新增提现
export function audit1(data) {
  return request({
    url: '/company/companyProfit/audit1',
    method: 'post',
    data: data
  })
}

export function audit2(data) {
  return request({
    url: '/company/companyProfit/audit2',
    method: 'post',
    data: data
  })
}

export function audit3(data) {
  return request({
    url: '/company/companyProfit/audit3',
    method: 'post',
    data: data
  })
}

// 修改提现
export function updateCompanyProfit(data) {
  return request({
    url: '/company/companyProfit',
    method: 'put',
    data: data
  })
}

// 删除提现
export function delCompanyProfit(profitId) {
  return request({
    url: '/company/companyProfit/' + profitId,
    method: 'delete'
  })
}

// 导出提现
export function exportCompanyProfit(query) {
  return request({
    url: '/company/companyProfit/export',
    method: 'get',
    params: query
  })
}